Skip to main content
POST
/
v1
/
publishers
curl -X POST https://xenarch.dev/v1/publishers \
  -H "Content-Type: application/json" \
  -d '{"email": "publisher@example.com", "password": "secure_password"}'
{
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "api_key": "xk_pub_abc123..."
}
curl -X POST https://xenarch.dev/v1/publishers \
  -H "Content-Type: application/json" \
  -d '{"email": "publisher@example.com", "password": "secure_password"}'
{
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "api_key": "xk_pub_abc123..."
}

Notes

  • Save the api_key — it is returned once and stored as a SHA-256 hash. It cannot be retrieved later.
  • Rate limited: 5 requests/min per IP
  • Email does not require verification to use the API (verification is optional)

Body

application/json
email
string<email>
required
password
string
required
Required string length: 8 - 128

Response

Successful Response

id
string<uuid>
required
api_key
string
required